Get task
curl --request GET \
--url https://api.bizzyco.ai/v1/tasks/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bizzyco.ai/v1/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/tasks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/tasks/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"createdAt": "2024-01-15T09:00:00Z",
"updatedAt": "2024-01-15T14:30:00Z",
"deletedAt": null,
"organizationId": "123e4567-e89b-12d3-a456-426614174000",
"title": "Review Q4 budget proposal",
"description": "Complete the quarterly budget review and submit recommendations",
"category": "review",
"importance": "high",
"urgency": "medium",
"status": "todo",
"dueDate": "2024-12-31T23:59:59Z",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"createdByAgent": false,
"messageId": "550e8400-e29b-41d4-a716-446655440002",
"contactId": "550e8400-e29b-41d4-a716-446655440003",
"metadata": {
"priority": "high",
"source": "email"
},
"assignees": [
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}
]
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Tasks
Get task
Get a specific task by ID with full details and assignees
GET
/
v1
/
tasks
/
{id}
Get task
curl --request GET \
--url https://api.bizzyco.ai/v1/tasks/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bizzyco.ai/v1/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.bizzyco.ai/v1/tasks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bizzyco.ai/v1/tasks/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"createdAt": "2024-01-15T09:00:00Z",
"updatedAt": "2024-01-15T14:30:00Z",
"deletedAt": null,
"organizationId": "123e4567-e89b-12d3-a456-426614174000",
"title": "Review Q4 budget proposal",
"description": "Complete the quarterly budget review and submit recommendations",
"category": "review",
"importance": "high",
"urgency": "medium",
"status": "todo",
"dueDate": "2024-12-31T23:59:59Z",
"createdBy": "123e4567-e89b-12d3-a456-426614174000",
"createdByAgent": false,
"messageId": "550e8400-e29b-41d4-a716-446655440002",
"contactId": "550e8400-e29b-41d4-a716-446655440003",
"metadata": {
"priority": "high",
"source": "email"
},
"assignees": [
{
"id": "550e8400-e29b-41d4-a716-446655440001",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z"
}
]
},
"meta": {
"pagination": {
"limit": 123,
"offset": 123,
"hasMore": true,
"total": 123
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Last modified on August 9, 2026
⌘I